var sqlConfig =
{
    databaseFilename: "thumbsdown.sqlite",
    schemaVersion: 3,
    scriptBaseUrl: "chrome://thumbsdown/content/sql/",
    backupDatabase: true
}

sqlConfig.statements =
{
    getScripts:
    {
        stmt: "SELECT id, name, matcher, type, subType, action1, action2 FROM scripts",
        result: "int, string, string, int, int, string, string"
    },
    getScript:
    {
        stmt: "SELECT id, name, matcher, type, subType, action1, action2 FROM scripts WHERE id = ?1",
        result: "int, string, string, int, int, string, string"
    },
    getScriptsWithName:
    {
        stmt: "SELECT id, name, matcher, type, subType, action1, action2 FROM scripts WHERE name = ?1",
        result: "int, string, string, int, int, string, string"
    },
    insertScript:
    {
        stmt: "INSERT INTO scripts (name, matcher, type, subType, action1, action2) VALUES (:name, :matcher, :type, :subType, :action1, :action2)"
    },
    updateScript:
    {
        stmt: "UPDATE scripts SET name = :name, matcher = :matcher, type = :type, subType = :subType, action1 = :action1, action2 = :action2 WHERE id = :id"
    },
    removeScript:
    {
        stmt: "DELETE FROM scripts WHERE id = ?1"
    }
}
